Loading...
Searching...
No Matches
http.h File Reference

HTTP message, methods, headers. More...

`#include <sofia-sip/msg.h>`
`#include <sofia-sip/url.h>`
`#include <sofia-sip/msg_mime.h>`
Include dependency graph for http.h:

Go to the source code of this file.

## Data Structures

struct | http_request_s
| HTTP request line. More...
struct | http_status_s
| HTTP status line. More...
struct | http_authentication_info_s
| Structure for Authentication-Info header. More...
struct | http_content_range_s
| Content-Range. More...
struct | http_date_s
| Date, Expires, If-Modified-Since, If-Unmodified-Since, Last-Modified. More...
struct | http_host_s
| Host. More...
struct | http_if_range_s
| If-Range. More...
struct | http_location_s
| Location, Referer. More...
struct | http_max_forwards_s
| Max-Forwards. More...
struct | http_range_s
| Range. More...
struct | http_retry_after_s
| Retry-After. More...
struct | http_te_s
| TE. More...
struct | http_via_s
| Via. More...
struct | http_cookie_s
| Cookie. More...
struct | http_set_cookie_s
| Set-Cookie. More...
struct | http_s
| HTTP message object. More...
union | http_header_u
| Union representing any HTTP header. More...

## Macros

#define | HTTP_H
| Defined when <sofia-sip/http.h> has been included.
#define | HTTP_PROTOCOL_TAG
| HTTP protocol identifier.

## Typedefs

typedef struct http_s | http_t
| HTTP message object.
typedef union http_header_u | http_header_t
| Any HTTP header - union of all possible HTTP headers.
typedef struct http_content_range_s | http_content_range_t
| @HTTP_HEADER http_content_encoding Content-Encoding header.
typedef struct http_date_s | http_date_t
| @HTTP_HEADER http_content_type Content-Type header.
typedef http_date_t | http_expires_t
| @HTTP_HEADER http_expires Expires header.
typedef http_date_t | http_if_modified_since_t
| @HTTP_HEADER http_if_modified_since If-Modified-Since header.
typedef http_date_t | http_if_unmodified_since_t
| @HTTP_HEADER http_if_unmodified_since If-Unmodified-Since header.
typedef http_date_t | http_last_modified_t
| @HTTP_HEADER http_last_modified Last-Modified header.
typedef struct http_location_s | http_location_t
| @HTTP_HEADER http_location Location Header
typedef struct http_range_s | http_range_t
| @HTTP_HEADER http_range Range header.
typedef struct http_location_s | http_referer_t
| @HTTP_HEADER http_referer Referer header.
typedef struct http_retry_after_s | http_retry_after_t
| @HTTP_HEADER http_mime_version MIME-Version header.
typedef struct http_te_s | http_te_t
| @HTTP_HEADER http_te TE header.
typedef struct http_set_cookie_s | http_set_cookie_t
| @HTTP_HEADER http_set_cookie Set-Cookie extension header.
typedef struct http_cookie_s | http_cookie_t
| @HTTP_HEADER http_cookie Cookie extension header.
typedef msg_error_t | http_error_t
| Erroneous header.
typedef msg_generic_t | http_unknown_t
| Unknown header.
typedef msg_separator_t | http_separator_t
| Separator line between headers and message contents.
typedef msg_payload_t | http_payload_t
| Entity-body.
typedef unsigned long | http_time_t
| Time in seconds since 01-Jan-1900.
typedef unsigned long | http_off_t
| Range offset.

## Enumerations

enum |
| HTTP parser flags.
enum | http_method_t { http_method_invalid , http_method_unknown , http_method_get , http_method_post , http_method_head , http_method_options , http_method_put , http_method_delete , http_method_trace , http_method_connect }
| IDs for well-known HTTP methods. More...

## Detailed Description

HTTP message, methods, headers.

See also
  RFC 2616

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com.

Date
  Created : Thu Jun 8 19:28:55 2000 ppessi

## Enumeration Type Documentation

## http_method_t

enum http_method_t

IDs for well-known HTTP methods.

Enumerator
http_method_invalid | Invalid method name.
http_method_unknown | Unknown method, use `method_name`.
http_method_get | GET.
http_method_post | POST.
http_method_head | HEAD.
http_method_options | OPTIONS.
http_method_put | PUT.
http_method_delete | DELETE.
http_method_trace | TRACE.
http_method_connect | CONNECT.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.